
QGIS Application - Bug report #22073

Data defined size does not block the normal size menu
Status: Feedback

Priority: Normal

Assignee:
Affected QGIS version:3.6.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29886

Description

Happens both in the Style panel and in the main Symbology dialog.

Basically when a data defined value is used to overwrite the default size of the marker in the sub dialog it is still possible to change the

size value (and the preview updates accordingly). The layer keeps the data defined values entered.

Two pictures worth a thousand words

QGI 3.4.6 and master

History

#1 - 2019-05-20 01:52 PM - Alessandro Pasotti

Big question: is this issue limited to these two widgets or is it a general issue for ALL widgets and controls that have a Data-Defined property?

Because if it's the second, we might better think of a general solution instead of patching the widgets one by one.

#2 - 2019-05-20 01:52 PM - Alessandro Pasotti

- Status changed from Open to Feedback

#3 - 2019-05-20 01:59 PM - matteo ghetta

- File ksnip_20190520-135720.png added

I think it is a general situation for all the widgets. I tried with some of them (rotation, size) entering a field value while the same happens also for an

expression entered ('solid' in the stroke style). Image attached.

#4 - 2019-05-20 09:41 PM - Nyall Dawson

This is by design - the data defined overrides are overrides, and the original value is used whenever the override is null. So it's important to be able to

change it even when an override is in place.

#5 - 2019-05-21 07:03 AM - matteo ghetta

but it seems weird to me that, e.g. in case of the size, in the "main" dock panel the chance to enter a value is greyed out while, always for the size, it is

available in the nested dock menu.
#6 - 2019-05-21 08:39 AM - Alessandro Pasotti

Maybe we could change the tooltip to tell the user that DD is active and the value will be used as a default when DD expression is null.
